# Uses of Class
org.springframework.core.io.UrlResource

Packages that use UrlResource
Package
Description
org.springframework.core.io
Generic abstraction for (file-based) resources, used throughout the framework.

## Uses of UrlResource in org.springframework.core.io

Subclasses of UrlResource in org.springframework.core.io
Modifier and Type
Class
Description
`class`
`FileUrlResource`
Subclass of `UrlResource` which assumes file resolution, to the degree of implementing the `WritableResource` interface for it.
Methods in org.springframework.core.io that return UrlResource
Modifier and Type
Method
Description
`static UrlResource`
UrlResource.`from(String path)`
Create a new `UrlResource` from the given URL path.
`static UrlResource`
UrlResource.`from(URI uri)`
Create a new `UrlResource` from the given `URI`.